Subject: Re: problems with sshd and RSAAuthentication
From: Peter Fales <[email-masked]>
To: Peter Buckley <[email-masked]>
Cc: [email-masked]
Date: Fri, 26 Oct 2001 14:48:37 -0500

Thanks.  Good suggestion.  When I run sshd as user foo, I can login as foo 
using RSAauthentication.  It fails if I try to login as another user,
but in a different way...  The event log says "Received signal 15 terminating"
and the debug messages say "read error from remote host ESHUTDOWN triggered"

That's different from the setuid failure I had when trying to run as a
service.  So, I don't know if that tells us anything or not

-- 
Peter Fales			  Lucent Technologies, Room 5B-408
N9IYJ            		  2000 N Naperville Rd PO Box 3033
internet: [email-masked]	  Naperville, IL 60566-7033
			 	  work:	(630) 979-8031

On Fri, Oct 26, 2001 at 03:19:24PM -0400, Peter Buckley wrote:
> Have you tried starting sshd from the command line? You can also put it 
> into debugging/verbose mode that way, with sshd -d (or multiple -d's, 3 
> max?). Does it work from the command line? If you have the same problem 
> from the command line, that points to the variable of the SYSTEM account 
> not being the cause of the problem.
> 
> HTH,
> Peter
> 
> Peter Fales wrote:
> 
> > So what you are saying is that SYSTEM is running my sshd since it is running
> > from cygrunsrv, and SYSTEM has all rights it needs.    But, it still 
> > doesn't let me in with RSAAuthentication.    Is there any way to 
> > tell (perhaps by turning on additional logging) why it doesn't work?
> > 
> > 
> 
> 
> -- 
> -- 
> Your mouse has moved.
> Windows NT must be restarted for the change to take effect.
> Reboot now?  [OK]
> 
> --
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/